summaryrefslogtreecommitdiffstats
path: root/regressions
diff options
context:
space:
mode:
authorRichard W.M. Jones <rjones@redhat.com>2011-07-12 17:18:48 +0100
committerRichard W.M. Jones <rjones@redhat.com>2011-07-12 18:44:46 +0100
commit511c82df46f5c6f4a7f984fdb81d4691038ed6da (patch)
tree69278d95bf009f7f59710376f90cb131233b171f /regressions
parentedd747a09060dd191277f1bcae827a94939cfb9d (diff)
downloadlibguestfs-511c82df46f5c6f4a7f984fdb81d4691038ed6da.tar.gz
libguestfs-511c82df46f5c6f4a7f984fdb81d4691038ed6da.tar.xz
libguestfs-511c82df46f5c6f4a7f984fdb81d4691038ed6da.zip
part-get-bootable: Fix when partitions are missing or unordered (RHBZ#602997).
Diffstat (limited to 'regressions')
-rw-r--r--regressions/Makefile.am1
-rwxr-xr-xregressions/rhbz602997.sh71
2 files changed, 72 insertions, 0 deletions
diff --git a/regressions/Makefile.am b/regressions/Makefile.am
index fada8414..a612ee37 100644
--- a/regressions/Makefile.am
+++ b/regressions/Makefile.am
@@ -32,6 +32,7 @@ TESTS = \
rhbz576879.sh \
rhbz578407.sh \
rhbz580246.sh \
+ rhbz602997.sh \
rhbz690819.sh \
test-add-domain.sh \
test-both-ends-cancel.sh \
diff --git a/regressions/rhbz602997.sh b/regressions/rhbz602997.sh
new file mode 100755
index 00000000..42fd3cbf
--- /dev/null
+++ b/regressions/rhbz602997.sh
@@ -0,0 +1,71 @@
+#!/bin/bash -
+# libguestfs
+# Copyright (C) 2011 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+
+# https://bugzilla.redhat.com/show_bug.cgi?id=602997
+# Fix part-get-bootable to work with missing/unordered partitions.
+
+set -e
+export LANG=C
+
+guestfish=../fish/guestfish
+
+rm -f test.img test.output
+
+$guestfish > test.output <<EOF
+sparse test.img 100M
+run
+part-init /dev/sda mbr
+# Create an unordered layout.
+# This places part 2 in front of part 1.
+part-add /dev/sda p 1001 2000
+part-add /dev/sda p 1 1000
+#part-list /dev/sda
+part-set-bootable /dev/sda 1 true
+part-get-bootable /dev/sda 1
+part-get-bootable /dev/sda 2
+EOF
+
+if [ "$(cat test.output)" != "true
+false" ]; then
+ echo "rhbz602997.sh: Unexpected output from test:"
+ cat test.output
+ echo "[end of output]"
+ exit 1
+fi
+
+$guestfish > test.output <<EOF
+sparse test.img 100M
+run
+part-init /dev/sda mbr
+part-add /dev/sda p 1 1000
+part-add /dev/sda p 1001 2000
+part-add /dev/sda p 2001 3000
+part-del /dev/sda 2
+#part-list /dev/sda
+part-get-bootable /dev/sda 3
+ping-daemon
+EOF
+
+if [ "$(cat test.output)" != "false" ]; then
+ echo "rhbz602997.sh: Unexpected output from test:"
+ cat test.output
+ echo "[end of output]"
+ exit 1
+fi
+
+rm -f test.img test.output